Skip to main content
PATCH
/
v1
/
shipping_rates
/
{id}
Update
curl --request PATCH \
  --url https://{defaultHost}/v1/shipping_rates/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "shipping_rate": {
    "calculatable": {
      "amount": 950
    }
  }
}
'
import requests

url = "https://{defaultHost}/v1/shipping_rates/{id}"

payload = { "shipping_rate": { "calculatable": { "amount": 950 } } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({shipping_rate: {calculatable: {amount: 950}}})
};

fetch('https://{defaultHost}/v1/shipping_rates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "8b259680-c80a-4dbf-aeb8-f211e3d25bba",
  "object": "shipping_rate",
  "calculatable_type": "flat",
  "calculatable": {
    "currency": "usd",
    "amount": 950
  },
  "shipping_method": "d2cc5e17-d626-4d4b-be62-9faee3500131",
  "shipping_zone": "086e2a7d-93c1-48ba-a996-42558638be8c",
  "created_at": 1782485904,
  "updated_at": 1782485904
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
shipping_rate
object

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

calculatable_type
enum<string>

The kind of the nested calculatable.

Available options:
amount,
flat,
weight,
live
calculatable
object
metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.

shipping_zone

Expandable – The associated shipping zone ID.

shipping_method

Expandable – The associated shipping method ID.